package com.yihu.quota.service.dimension;

import com.yihu.ehr.query.BaseJpaService;
import com.yihu.quota.dao.dimension.DimensionMemberDao;
import com.yihu.quota.model.dimension.Dimension;
import com.yihu.quota.model.dimension.DimensionMember;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by wxw on 2018/9/7.
 * @author wxw
 */
@Service
public class DimensionMemberService extends BaseJpaService<DimensionMember, DimensionMemberDao> {


    /**
     * 根据编码查询相关维度成员信息
     * @param code
     * @param value
     * @return
     */
    public DimensionMember findByCode(String code, Object value){
        List<DimensionMember> dimensionMember =  findByField(code, value);
        if(dimensionMember != null && dimensionMember.size() > 0){
            return dimensionMember.get(0);
        }
        return null;
    }
}
